# $Revision: 1.4 $, $Date: 2002/05/08 07:23:27 $

#%include	/usr/lib/rpm/macros.python

Summary:	Mirrors management tool
Summary(pl):	Narzdzie do zarzdzania mirrorami
Name:		mirrortool
Version:	0.1
Release:	2
License:	GPL
Source0:	http://team.pld.org.pl/~mis/download/%{name}-%{version}.tar.gz
Group:		Applications/System
Requires:	python >= 2.0
Requires:	python-modules
BuildRequires:	python-devel >= 1.5.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Program takes list of mirror sites from MIRRORS[.gz] file and allows
to processing it by extension modules. Available modules: 

* mod_poldek - module to configure poldek (http://poldek.pld.org.pl/)
  sources
* mod_xml_pldoc - module to generate PLD-Guide 
  (http://cvs.pld.org.pl/PLD-Guide/) document with list of PLD mirrors
* mod_html  - module to generate simple HTML document

%description -l pl
Program pobiera list serwerw lustrzanych z pliku MIRRORS[.gz] i
pozwala na jej przetworzenie przez zewntrzne moduy. Dostpne moduy:

* mod_poldek - modu do konfiguracji poldka
  (http://poldek.pld.org.pl/)
* mod_xml_pldoc - modu do generowania dokumentu PLD-Guide
  (http://cvs.pld.org.pl/PLD-Guide/) z list mirrorw PLD
* mod_html - modu do generowania prostego dokumentu HTML.

%prep
%setup -q

%build
# distribute in source form cause to program alpha stage --
# sources are easier to read and fix.
#%{py_comp} .

# while waiting for http://ftp.pld.org.pl/MIRRORS.gz...
perl -pi -e 's|^\s*url\s*=.+|url = http://team.pld.org.pl/~mis/pld/MIRRORS.gz|' %{name}.conf

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf MIRRORS README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{_sysconfdir}/%{name}.conf
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.sh
%attr(644,root,root) %{_libdir}/%{name}/*.py*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mirrortool.spec,v $
Revision 1.4  2002/05/08 07:23:27  kloczek
- release 2.

Revision 1.3  2002/05/07 13:58:35  qboosh
- pl description

Revision 1.2  2002/05/07 12:32:21  kloczek
- cosmetics.

Revision 1.1  2002/05/07 10:20:17  mis
- mirrors management tool

Revision 1.1.1.1  2002/04/28 09:16:49  mis
- script to manage mirror list
